User Information

Last update: September 10, 2026
•
1 min to read

This endpoint returns details about the authenticated user. It can only retrieve information for the current user and cannot be used to query other users.

HTTP Method

GET

Endpoint

/api/app/userinfo

Request URL

{Base URL}/api/app/userinfo

Curl Example

Multi-line format (for readability):

curl --header "Accept-Language: en" \
     --http1.1 \
     --insecure \
     --verbose \
     --ntlm \
     --user "device-name1\jdoe:P@ssw0rd" \
     -X GET \
     "https://hubstreamproduction.hubstreamonline.com/api/app/userinfo"

Single-line format (for terminal use):

curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X GET "https://hubstreamproduction.hubstreamonline.com/api/app/userinfo"

Responses

Status code 2XX indicates successful request and response.

200 OK

Description: Operation succeeded

User Information are retrieved. Information such as:

  • UserId
  • UserName
  • UserFullName
  • OrganizationId
  • OrganizationName
  • UserLocale
  • IsAdministrator
  • UserTimeZone
  • FirstName
  • LastName
  • Roles
  • etc.